package net.user1.reactor.chat {
  /**
   * The ChatAttributes class defines constants representing attributes
   * used by the chat-controls in the ReactorGUI library.
   * 
   * @since ReactorGUI 1.0.0
   */ 
  public final class ChatAttributes {
    /**
     * The name of a room attribute that specifies a chat topic.
     * 
     * @since ReactorGUI 1.0.0
     */
    public static const ROOM_TOPIC:String = "ROOM_TOPIC";
  }
}