package net.user1.reactor.chat {
  /**
   * The ChatMessages class defines constants representing the messages
   * used by chat controls in the ReactorGUI library.
   * 
   * @since ReactorGUI 1.0.0
   */  
  public final class ChatMessages {
    /**
     * The name of chat messages sent by chat controls in the ReactorGUI
     * library.
     * 
     * @since ReactorGUI 1.0.0
     */    
    public static const CHAT:String = "CHAT";
    
    /**
     * The name of private chat messages sent by chat controls in the ReactorGUI
     * library.
     * 
     * @since ReactorGUI 1.0.0
     */    
    public static const PRIVATE_CHAT:String = "PRIVATE_CHAT";
  }
}