package net.user1.reactor.ui {
  import flash.display.*;
  import flash.filters.*;

  /**
   * An icon representing a mouse pointer, intended for use as an avatar
   * icon by applications that include multiuser mouse interactivity.
   * 
   * @since ReactorGUI 1.0.0
   * 
   * @see Avatar#setIcon()
   */ 
  public class PointerIcon extends Shape {
// =============================================================================
// CONSTRUCTOR
// =============================================================================      
    public function PointerIcon () {
      var g:Graphics = graphics;
      var shadow:DropShadowFilter = new DropShadowFilter(3, 45, 0, .6, 4, 4, .7);
      g.lineStyle(1);
      g.lineGradientStyle(GradientType.RADIAL, [0x555555, 0x222222], [1,1],[0,30]);
      g.beginGradientFill(GradientType.RADIAL,[0xFFFFFF, 0x999999], [1,1],[0,30]);
      g.moveTo(1,0)
      g.lineTo(8,7);
      g.lineTo(0,10);
      g.lineTo(1,0);
      g.endFill();
      filters = [shadow];
    }
  }
}