package net.user1.utils {
  import flash.text.TextField;
  
  public class StringUtil {
    /**
     * Returns true if the supplied string contains numeric digits only
     * (i.e., 0 through 9).
     */
    public static function isPositiveInteger (s:String):Boolean {
      if (s.length == 0) {
        return false;
      }
      var r:RegExp = /^[0-9]*$/
        return r.test(s);
    }
    
    /**
     * Removes the following characters from a string:
     * 
     * <ul>
     * <li>new line characters</li>
     * <li>return characters</li>
     * <li>extra spaces</li>
     * <li>tab characters</li>
     * </ul>
     */
    public static function condenseWhite (s:String):String {
      var t:TextField = new TextField();
      t.condenseWhite = true;
      t.htmlText = s;
      return t.text;
    }
  }
}